package org.ow2.odis.joram;

import org.ow2.odis.model.AbstractAttributeMBean;

/**
 * The Interface AbstractJMSCnxAttributMBean.
 */
public interface AbstractJMSConnectionAttributeMBean extends AbstractAttributeMBean {
    /**
     * Gets the nbr reconnexion.
     * @return the nbr reconnexion
     */
    int getNbrReconnexion();

    /**
     * Gets the mode message.
     * @return the mode message
     */
    int getModeMessage();

    /**
     * Gets the proxy server host name.
     * @return the proxy server host name
     */
    String getProxyServerHostName();

    /**
     * Gets the proxy server port.
     * @return Retourne proxyServerPort.
     */
    int getProxyServerPort();

    /**
     * Gets the server id.
     * @return Retourne serverId.
     */
    int getServerId();

    /**
     * Gets the user name.
     * @return the user name
     */
    String getUserName();

    /**
     * Gets the user password.
     * @return the user password
     */
    String getUserPassword();

    /**
     * Gets the JMS name.
     * @return the JMS name
     */
    String getJMSName();
}
