package org.ow2.odis.joram;

import org.ow2.odis.admin.IPlugin;
import org.ow2.odis.admin.Launch;
import org.ow2.odis.connection.ConnectionFactory;
import org.ow2.odis.connection.IConnectionFactory;

/**
 *
 * @author olivier beyler
 */
public class JoramPlugin implements IPlugin {
    private static final String END_LINE="\n";
    private static final String PLUGIN_NAME="JORAM Plugin";
    private static final String QUEUE_FACTORY="QUEUE_JORAM";
    private static final String TOPIC_FACTORY="TOPIC_JORAM";
    
    private IConnectionFactory queue=new JoramQueueConnectionFactory();
    private IConnectionFactory topic=new JoramTopicConnectionFactory();
    AddCollocatedJoramServer action= new AddCollocatedJoramServer();
    
    public String getDescription() {
        StringBuffer buffer = new StringBuffer();
        buffer.append("will give the opportunity :"); 
        buffer.append(END_LINE);
        buffer.append(" - will to start a collocated joram server");
        buffer.append(END_LINE);
        buffer.append(" - send or receive msg a joram queue");
        buffer.append(END_LINE);
        buffer.append(" - send or receive msg a joram topic");
        buffer.append(END_LINE);
        return buffer.toString();
    }

    public String getName() {
        return PLUGIN_NAME ;
    }

    public void bind() {
        QueueConnectionAttribute.TYPE=QUEUE_FACTORY;
        TopicConnectionAttribute.TYPE=TOPIC_FACTORY;
        Launch.lsActions.add(action);
        ConnectionFactory factory=ConnectionFactory.getInstance();
        factory.addFactory(QUEUE_FACTORY, queue );
        factory.addFactory(TOPIC_FACTORY, topic);       
    }

    public void unbind() {
        Launch.lsActions.remove(action);
        action.unbind();
        ConnectionFactory factory=ConnectionFactory.getInstance();
        factory.removeFactory(QUEUE_FACTORY, queue );
        factory.removeFactory(TOPIC_FACTORY, topic );
    }
}
