package org.ow2.odis.joram;

import org.ow2.odis.connection.IConnectionFactory;
import org.ow2.odis.connection.IConnectionIn;
import org.ow2.odis.connection.IConnectionOut;
import org.ow2.odis.connection.context.IContextualConnectionOut;
import org.ow2.odis.model.AbstractAttribute;
import org.ow2.odis.model.AbstractConnectionAttribute;



/**
 * JoramQueueConnectionFactory
 * @see IConnectionFactory
 * @author mobo7205
 */
public class JoramQueueConnectionFactory implements IConnectionFactory {
    /**
     * 
     * @param attribut
     * @return
     */
    public IConnectionIn newConnectionIn(AbstractConnectionAttribute attribute) {
        return new InQueue((AbstractJMSConnectionAttribute) attribute);
    }
    /**
     * 
     * @param attribut
     * @return
     */
    public IConnectionOut newConnectionOut(AbstractConnectionAttribute attribute) {
        return new OutQueue((AbstractJMSConnectionAttribute) attribute);
    }
    /**
     * As no Contextual Connexion is avaliable. So it's always return null.
     * @see IConnectionFactory
     * @param attribut
     * @return null
     */
    public IContextualConnectionOut newContextualConnectionOut(AbstractConnectionAttribute attribute) {
        return null;
    }
    /**
     * Create a new Attribute with specific type.
     * @param attribut
     * @return QueueCnxAttribute
     */
    public AbstractConnectionAttribute newAttribute(AbstractAttribute attribute) {
        return new QueueConnectionAttribute(attribute);
    }

}
