package org.ow2.odis.joram;

import org.ow2.odis.model.AbstractAttribute;
import org.ow2.odis.model.Const;

/**
 * The Class QueueCnxAttribut.
 * @author Beyler Olivier FranceTelecom R&D
 */
public class QueueConnectionAttribute extends AbstractJMSConnectionAttribute {
    static String TYPE="QUEUE";
    /**
     * Instantiates a new queue cnx attribut.
     * @param parent the parent
     */
    public QueueConnectionAttribute(AbstractAttribute parent) {
        super(parent);
    }

    /**
     * Gets the type cnx.
     * @return String
     * @see com.francetelecom.odis.model.AbstractCnxAttribut#getTypeCnx()
     */
    public String getTypeConnection() {
        return TYPE;
    }

    /**
     * Gets the P name.
     * @return the p name
     * @see com.francetelecom.odis.model.AbstractAttribut#getPName()
     */
    public String getPName() {
        StringBuffer buffer = new StringBuffer(getParent().getPName());
        buffer.append(Const.CST_SEP);
        buffer.append("QUEUECnx");
        return buffer.toString();
    }
}
