package org.ow2.odis.joram;

import org.ow2.odis.model.AbstractAttribute;
import org.ow2.odis.model.Const;

/**
 * The Class TopicCnxAttribut.
 * @author Beyler Olivier FranceTelecom R&D
 */
public class TopicConnectionAttribute extends AbstractJMSConnectionAttribute {
    static protected String TYPE="TOPIC";
    /**
     * Instantiates a new topic cnx attribut.
     * @param parent the parent
     */
    public TopicConnectionAttribute(AbstractAttribute parent) {
        super(parent);
    }

    /**
     * Gets the type cnx.
     * @return the type cnx
     * @see com.francetelecom.odis.model.AbstractCnxAttribut#getTypeCnx()
     */
    public String getTypeConnection() {
        return TYPE;
    }

    /**
     * Gets the P name.
     * @return the p name
     * @see com.francetelecom.odis.model.AbstractAttribut#getPName()
     */
    public String getPName() {
        StringBuffer buffer = new StringBuffer(getParent().getPName());
        buffer.append(Const.CST_SEP);
        buffer.append("topic");
        return buffer.toString();
    }
}
